Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
12.04.2021, 06:05:15

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 25486
  • Letzte: HansA
Statistiken
  • Beiträge insgesamt: 728030
  • Themen insgesamt: 58769
  • Heute online: 377
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online

Autor Thema: [gelöst]  0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert  (Gelesen 2350 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[gelöst] Re: 0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert
« Antwort #15 am: 12.07.2020, 14:51:08 »
apt list --upgradable
Auflistung... Fertig
Demnach findet apt kein aktualisierbares Paket.
Das ist ein Widerspruch zu "1 nicht aktualisiert".
Ich habe dafür keine Erklärung, würde mir aber deswegen auch kein Kopfzerbrechen machen.
Bei Mint für Updates am besten nicht mit dem Terminal, sondern mit der Aktualisierungsverwaltung arbeiten.

Wäre aber schon schön zu wissen, welches Paket das sein soll. Vielleicht bekommt man das heraus, wenn du apt-show-versions installierst und danach folgendes ausführst:

apt-show-versions | grep -vE 'not inst|uptodate|No available'

Habe ich gemacht und es wird nichts angezeigt.

nandi@nandi-ThinkPad-T560:~$ apt-show-versions | grep -vE 'not inst|uptodate|No available'
nandi@nandi-ThinkPad-T560:~$



Hi :)
sudo apt-get dist-upgrade -s

@tomtetom,

Hast du schon mal in den Anwendungspaketquellen / Wartung / auf 'fehlende Schlüssel nachinstallieren' geklickt?
Dein erster Codeblock sieht so aus, als wenn dem ppa der Schlüssel fehlt.

Noch was anderes: Wenn ich per "apt list --upgradable" was finde, aber die Akualisierungsverwaltung nichts findet, wie finde ich dann die Adressen der dazugehörigen Repos/ppa's, damit die Aktualisierungsverwaltung das eben auch findet?

Hier die Ausgabe:
volker@linux:~$ apt list --upgradable
Auflistung... Fertig
libavcodec-extra/focal 7:4.2.2-1ubuntu1 all [aktualisierbar von: 7:3.4.6-0ubuntu0.18.04.1]
libgegl-0.4-0/focal 1:0.4.18+om-0ubu20.04.18~ppa amd64 [aktualisierbar von: 0.4.22-3]
libgegl-dev/focal 1:0.4.18+om-0ubu20.04.18~ppa amd64 [aktualisierbar von: 0.4.22-3]

-volker-
« Letzte Änderung: 14.07.2020, 10:19:20 von Volker S »

@tomtetom,

Hast du schon mal in den Anwendungspaketquellen / Wartung / auf 'fehlende Schlüssel nachinstallieren' geklickt?
Dein erster Codeblock sieht so aus, als wenn dem ppa der Schlüssel fehlt.

ja habe ich und es gibt eine fehlenden Schlüssel.

Hi :)
sudo apt-get dist-upgrade -s
[code]nandi@nandi-ThinkPad-T560:~$ sudo apt-get dist-upgrade -s
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
nandi@nandi-ThinkPad-T560:~$



bei mir sieht nach Eingabe von:
sudo apt-get dist-upgrade -s
die Ausgabe dann so aus:
sudo apt-get dist-upgrade -s
[sudo] Passwort für volker:         
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete sind zurückgehalten worden:
  libavcodec-extra
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.

Das Paket ist also aktualisierbar und wird zurückgehalten - weiß jetzt auch nicht mehr weiter (ist also ein ähnliches Problem wie Deins, nur das bei mir was angezeigt wird). Wenn's stört mach ich einen neuen Thread auf deswegen - möchte ja hier nichts durcheinanderbringen.

-volker-

Hi :)
@tomtetom lass mal den  -s parameter weg

@volker S
sudo apt-get install libavcodec-extra

Öffne doch bitte die Synaptic-Packetverwaltung, Linksklick auf Installiert (aktualisierbar). Dann müßte rechts das entsprechende Paket sichtbar sein.

...ich habe mal einen neuen Thread aufgemacht -> Link

...Danke für die Tipps.

-volker-

@tomtetom lass mal den  -s parameter weg

Da ändert sich nichts. Das war eins der allerersten Befehle im Terminal den ich ausgeführt habe.

« Letzte Änderung: 15.07.2020, 16:54:56 von Tomtetom »

@Tomtetom
Was ist den nun mit  Antwort #24 ?
Zitat
Öffne doch bitte die Synaptic-Packetverwaltung, Linksklick auf Installiert (aktualisierbar). Dann müßte rechts das entsprechende Paket sichtbar sein.

Dann sind da vielleicht Datenreste für die Meldung verantwortlich.
Ich würd da mal Stacer drüberlaufen lassen.

Hallo....in der Synaptic Paketverwaltung  unter Status wird folgendes aufgelistet:

Alle
Installiert
Installiert (lokal oder veraltet)
Installiert (manuell)
Nicht installiert

Wenn ich dann auf installiert klicke werden rechts alle installierten Programme angezeigt. Bin mir jetzt nicht sicher wie mir das helfen soll.


« Letzte Änderung: 16.07.2020, 13:56:39 von Tomtetom »